%define module		Math-Pari
%define	name		perl-%{module}
%define	version		2.010706
%define pariversion	2.1.6
%define	release		%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Perl interface to PARI
License:        GPL or Artistic
Group:          Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/modules/by-module/Math/%{module}-%{version}.tar.bz2
Source1:        ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pariversion}.tar.bz2
BuildRequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This package is a Perl interface to famous library PARI for
numerical/scientific/number-theoretic calculations. It allows use of
most PARI functions as Perl functions, and (almost) seamless merging of
PARI and Perl data. See ftp://megrez.math.u-bordeaux.fr/pub/pari for
more information about PARI.

%prep
%setup -q -n %{module}-%{version}
%setup -q -a 1 -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor paridir=pari-%{pariversion} < /dev/null
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/*/*

%changelog
* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.010706-1mdv2007.0
- New version 2.010706

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.010705-1mdv2007.0
- New release 2.010705
- spec cleanup

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010704-1mdk
- 2.010704

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010703-1mdk
- 2.010703

* Thu Nov 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010702-1mdk
- 2.010702

* Thu Nov 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010701-1mdk
- 2.010701

* Mon Oct 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010700-1mdk
- New version 2.010700

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.010604-2mdk
- Buildrequires fix 

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010604-1mdk
- New version

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010603-2mdk
- Rebuild

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010603-1mdk
- New version

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010602-2mdk
- Better wording in the description

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010602-1mdk
- New version

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010601-1mdk
- New version
- Add Changes in documentation

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010600-1mdk
- New version
- Include the pari sources in the RPM instead of downloading them during compilation
- Remove BuildRequires on pari

* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.010500-1mdk
- New package
